#include <iostream>
using namespace std;
int main(){
	int T,N[10],M[10],K[10];
	cin>>T;
	for(int i=0;i<T;i++){
		cin>>N[i]>>M[i]>>K[i];
		if(K[i]>N[i])cout<<"Nie";
		else{
			if(M[i]>((N[i]-2)*(N[i]-2)/2+3*(N[i]-2)/2+1))cout<<"Tak";
			else cout<<"Nie";
		}
	}
}